AstrologyAPI

Use access token to call astrology api.

Learn More

Expression Number

POSThttps://json.astrologyapi.com/v1/expression_number
Copy

This API, called expression_number, returns a report based on a person's name and birth date. The report describes the person's personality, emotional balance, and relationship tendencies based on their Expression Number, which is calculated from the letters in their name.

POST/expression_number
Copy
1curl --location 'https://json.astrologyapi.com/v1/expression_number' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "date": 10,
6    "month": 5,
7    "year": 1990,
8    "full_name": "John"
9}'
10
200Response
Copy
1{
2  "name": "Ajeet kanojia",
3  "birth_date": "2011-5-15",
4  "expression_number": 11,
5  "report": [
6    "Personal power is dormant in each of us. Some are awake to it and some simply become oblivious to its presence. You seem to fall in the latter category. Though unconscious of your hidden powers, you have a robust personality and make a commanding presence. You know that you are different. For you, conscious and unconscious are connected via an unbridled path. Sensitive, you possess a tremendous flow of energy. Emotion and psychology are interconnected. To strike a balance between both these, lest you fall into emotional turmoil and nervous tension, you must learn to channelize that effervescence of energy that you experience.",
7    "Relationships are essential for your survival and emotion is your building block. You are hesitant and vulnerable. Vacillating and bobbing with luck in your love life, you have a concrete idea about who your friends would be. Your treasure your feelings and do not share them easily with others. Make use of your latent powers that you are gifted with. Shake the stagnancy of your inherent powers and ground yourself with the natural strength that might appear to you as a challenge initially. The more you dwell on your inner calling, the greater will be the expanse of your keen awareness."
8  ]
9}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enSpanish - esPortuguese - ptFrench - frItalian - itGerman - deRussian - ru

Request Body (JSON)

date

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

full_name

string

required

Name of the person, eg: John

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.